org.vertx.java.core.sockjs.impl

## Class DefaultSockJSServer

- java.lang.Object
- - org.vertx.java.core.sockjs.impl.DefaultSockJSServer

All Implemented Interfaces:
  SockJSServer

    public class DefaultSockJSServer
    extends java.lang.Object
    implements SockJSServer

### Constructor Summary

Constructors
Constructor and Description
`DefaultSockJSServer(VertxInternal vertx, HttpServer httpServer)`

### Method Summary

Methods
`void` `bridge(JsonObject sjsConfig, JsonArray inboundPermitted, JsonArray outboundPermitted)` Install an app which bridges the SockJS server to the event bus
`void` `bridge(JsonObject sjsConfig, JsonArray inboundPermitted, JsonArray outboundPermitted, long authTimeout)` Install an app which bridges the SockJS server to the event bus
`void` `bridge(JsonObject sjsConfig, JsonArray inboundPermitted, JsonArray outboundPermitted, long authTimeout, java.lang.String authAddress)` Install an app which bridges the SockJS server to the event bus
`void` `installApp(JsonObject config, Handler<SockJSSocket> sockHandler)` Install an application
`void` `installTestApplications()`
`static void` `main(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultSockJSServer

    public DefaultSockJSServer(VertxInternal vertx,
                       HttpServer httpServer)

### Method Detail

#### installApp

    public void installApp(JsonObject config,
                  Handler<SockJSSocket> sockHandler)

Description copied from interface: `SockJSServer`
Install an application

Specified by:
  `installApp` in interface `SockJSServer`
Parameters:
  `config` - The application configuration
  `sockHandler` - A handler that will be called when new SockJS sockets are created

#### bridge

    public void bridge(JsonObject sjsConfig,
              JsonArray inboundPermitted,
              JsonArray outboundPermitted)

Description copied from interface: `SockJSServer`
Install an app which bridges the SockJS server to the event bus

Specified by:
  `bridge` in interface `SockJSServer`
Parameters:
  `sjsConfig` - The config for the app
  `inboundPermitted` - A list of JSON objects which define permitted matches for inbound (client->server) traffic
  `outboundPermitted` - A list of JSON objects which define permitted matches for outbound (server->client) traffic

#### bridge

    public void bridge(JsonObject sjsConfig,
              JsonArray inboundPermitted,
              JsonArray outboundPermitted,
              long authTimeout)

Description copied from interface: `SockJSServer`
Install an app which bridges the SockJS server to the event bus

Specified by:
  `bridge` in interface `SockJSServer`
Parameters:
  `sjsConfig` - The config for the app
  `inboundPermitted` - A list of JSON objects which define permitted matches for inbound (client->server) traffic
  `outboundPermitted` - A list of JSON objects which define permitted matches for outbound (server->client) traffic
  `authTimeout` - Default time an authorisation will be cached for in the bridge (defaults to 5 minutes)

#### bridge

    public void bridge(JsonObject sjsConfig,
              JsonArray inboundPermitted,
              JsonArray outboundPermitted,
              long authTimeout,
              java.lang.String authAddress)

Description copied from interface: `SockJSServer`
Install an app which bridges the SockJS server to the event bus

Specified by:
  `bridge` in interface `SockJSServer`
Parameters:
  `sjsConfig` - The config for the app
  `inboundPermitted` - A list of JSON objects which define permitted matches for inbound (client->server) traffic
  `outboundPermitted` - A list of JSON objects which define permitted matches for outbound (server->client) traffic
  `authTimeout` - Default time an authorisation will be cached for in the bridge (defaults to 5 minutes)
  `authAddress` - Address of auth manager. Defaults to 'vertx.basicauthmanager.authorise'

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### installTestApplications

    public void installTestApplications()